For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a list of events for a received message.

Required permissions: View Contacts and transactions

get
Path parameters
referenceIDstring · uuidRequired
messageIDstring · uuidRequired
Query parameters
apiTokenstringRequired

API authentication token

Responses
200

OK

application/json
messageIDstringOptional
statusstringOptional
readDatestring · date-timeOptional
optOutDatestring · date-timeOptional
get/database/contacts/{referenceID}/history/{messageID}/events
GET /database/contacts/{referenceID}/history/{messageID}/events?apiToken=text HTTP/1.1
Host: api.ubiquity.co.nz
Accept: */*
{
  "messageID": "text",
  "status": "text",
  "readDate": "2026-01-01T00:00:00.000Z",
  "optOutDate": "2026-01-01T00:00:00.000Z",
  "links": [
    {
      "linkID": "text",
      "postion": 1,
      "url": "text",
      "displayName": "text",
      "clicks": 1,
      "firstClicked": "2026-01-01T00:00:00.000Z"
    }
  ],
  "events": [
    {
      "eventID": "text",
      "date": "2026-01-01T00:00:00.000Z",
      "event": "text",
      "linkID": "text",
      "remoteIP": "text",
      "userAgent": "text",
      "source": "text"
    }
  ]
}

Last updated

Was this helpful?